org.wso2.carbon.logging.admin.stub.types.carbon

## Class LogData

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.carbon.LogData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class LogData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  LogData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LogData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AppenderData[]` | `localAppenderData` field for AppenderData This was an Array!
    `protected boolean` | `localAppenderDataTracker`
    `protected String` | `localLogFile` field for LogFile
    `protected boolean` | `localLogFileTracker`
    `protected LoggerData[]` | `localLoggerData` field for LoggerData This was an Array!
    `protected boolean` | `localLoggerDataTracker`
    `protected String` | `localLogLevel` field for LogLevel
    `protected boolean` | `localLogLevelTracker`
    `protected String` | `localLogPattern` field for LogPattern
    `protected boolean` | `localLogPatternTracker`
    `protected AppenderData` | `localSelectedAppenderData` field for SelectedAppenderData
    `protected boolean` | `localSelectedAppenderDataTracker`
    `protected LoggerData` | `localSelectedLoggerData` field for SelectedLoggerData
    `protected boolean` | `localSelectedLoggerDataTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAppenderData(AppenderData param)` Auto generated add method for the array for convenience
    `void` | `addLoggerData(LoggerData param)` Auto generated add method for the array for convenience
    `AppenderData[]` | `getAppenderData()` Auto generated getter method
    `String` | `getLogFile()` Auto generated getter method
    `LoggerData[]` | `getLoggerData()` Auto generated getter method
    `String` | `getLogLevel()` Auto generated getter method
    `String` | `getLogPattern()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `AppenderData` | `getSelectedAppenderData()` Auto generated getter method
    `LoggerData` | `getSelectedLoggerData()` Auto generated getter method
    `boolean` | `isAppenderDataSpecified()`
    `boolean` | `isLogFileSpecified()`
    `boolean` | `isLoggerDataSpecified()`
    `boolean` | `isLogLevelSpecified()`
    `boolean` | `isLogPatternSpecified()`
    `boolean` | `isSelectedAppenderDataSpecified()`
    `boolean` | `isSelectedLoggerDataSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setAppenderData(AppenderData[] param)` Auto generated setter method
    `void` | `setLogFile(String param)` Auto generated setter method
    `void` | `setLoggerData(LoggerData[] param)` Auto generated setter method
    `void` | `setLogLevel(String param)` Auto generated setter method
    `void` | `setLogPattern(String param)` Auto generated setter method
    `void` | `setSelectedAppenderData(AppenderData param)` Auto generated setter method
    `void` | `setSelectedLoggerData(LoggerData param)` Auto generated setter method
    `protected void` | `validateAppenderData(AppenderData[] param)` validate the array for AppenderData
    `protected void` | `validateLoggerData(LoggerData[] param)` validate the array for LoggerData

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localAppenderData

          protected AppenderData[] localAppenderData

      field for AppenderData This was an Array!

    - #### localAppenderDataTracker

          protected boolean localAppenderDataTracker

    - #### localLogFile

          protected String localLogFile

      field for LogFile

    - #### localLogFileTracker

          protected boolean localLogFileTracker

    - #### localLogLevel

          protected String localLogLevel

      field for LogLevel

    - #### localLogLevelTracker

          protected boolean localLogLevelTracker

    - #### localLogPattern

          protected String localLogPattern

      field for LogPattern

    - #### localLogPatternTracker

          protected boolean localLogPatternTracker

    - #### localLoggerData

          protected LoggerData[] localLoggerData

      field for LoggerData This was an Array!

    - #### localLoggerDataTracker

          protected boolean localLoggerDataTracker

    - #### localSelectedAppenderData

          protected AppenderData localSelectedAppenderData

      field for SelectedAppenderData

    - #### localSelectedAppenderDataTracker

          protected boolean localSelectedAppenderDataTracker

    - #### localSelectedLoggerData

          protected LoggerData localSelectedLoggerData

      field for SelectedLoggerData

    - #### localSelectedLoggerDataTracker

          protected boolean localSelectedLoggerDataTracker

  - ### Constructor Detail

    - #### LogData

          public LogData()

  - ### Method Detail

    - #### isAppenderDataSpecified

          public boolean isAppenderDataSpecified()

    - #### getAppenderData

          public AppenderData[] getAppenderData()

      Auto generated getter method
      Returns:
        org.wso2.carbon.logging.admin.stub.types.carbon.AppenderData[]

    - #### validateAppenderData

          protected void validateAppenderData(AppenderData[] param)

      validate the array for AppenderData

    - #### setAppenderData

          public void setAppenderData(AppenderData[] param)

      Auto generated setter method
      Parameters:
        `param` - AppenderData

    - #### addAppenderData

          public void addAppenderData(AppenderData param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.logging.admin.stub.types.carbon.AppenderData

    - #### isLogFileSpecified

          public boolean isLogFileSpecified()

    - #### getLogFile

          public String getLogFile()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogFile

          public void setLogFile(String param)

      Auto generated setter method
      Parameters:
        `param` - LogFile

    - #### isLogLevelSpecified

          public boolean isLogLevelSpecified()

    - #### getLogLevel

          public String getLogLevel()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogLevel

          public void setLogLevel(String param)

      Auto generated setter method
      Parameters:
        `param` - LogLevel

    - #### isLogPatternSpecified

          public boolean isLogPatternSpecified()

    - #### getLogPattern

          public String getLogPattern()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogPattern

          public void setLogPattern(String param)

      Auto generated setter method
      Parameters:
        `param` - LogPattern

    - #### isLoggerDataSpecified

          public boolean isLoggerDataSpecified()

    - #### getLoggerData

          public LoggerData[] getLoggerData()

      Auto generated getter method
      Returns:
        org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData[]

    - #### validateLoggerData

          protected void validateLoggerData(LoggerData[] param)

      validate the array for LoggerData

    - #### setLoggerData

          public void setLoggerData(LoggerData[] param)

      Auto generated setter method
      Parameters:
        `param` - LoggerData

    - #### addLoggerData

          public void addLoggerData(LoggerData param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData

    - #### isSelectedAppenderDataSpecified

          public boolean isSelectedAppenderDataSpecified()

    - #### getSelectedAppenderData

          public AppenderData getSelectedAppenderData()

      Auto generated getter method
      Returns:
        org.wso2.carbon.logging.admin.stub.types.carbon.AppenderData

    - #### setSelectedAppenderData

          public void setSelectedAppenderData(AppenderData param)

      Auto generated setter method
      Parameters:
        `param` - SelectedAppenderData

    - #### isSelectedLoggerDataSpecified

          public boolean isSelectedLoggerDataSpecified()

    - #### getSelectedLoggerData

          public LoggerData getSelectedLoggerData()

      Auto generated getter method
      Returns:
        org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData

    - #### setSelectedLoggerData

          public void setSelectedLoggerData(LoggerData param)

      Auto generated setter method
      Parameters:
        `param` - SelectedLoggerData

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2018 WSO2. All rights reserved.